From 1c0d3705c9ba5b50599b3423e2c62003a2569328 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Fri, 14 Aug 2026 05:43:49 +0000
Subject: [PATCH] findutils: upgrade 4.10.0 -> 4.11.0

Source: ChangeLog

2026-07-11  Bernhard Voelker  <mail@bernhard-voelker.de>

	version 4.11.0
	* NEWS: Record release date.

2026-07-11  Bernhard Voelker  <mail@bernhard-voelker.de>

	NEWS: attribute an entry with its Savannah bug number
	* NEWS: Mention #66365.
	While at it, remove a double-newline before "Future Changes".

2026-07-11  Bernhard Voelker  <mail@bernhard-voelker.de>

	doc: mention check-root tests in maintainer's manual
	* doc/find-maint.texi (Making Releases): Document the various flavors
	of testing: check, syntax-check and check-root.

2026-07-11  Bernhard Voelker  <mail@bernhard-voelker.de>

	NEWS: mention translation updates
	* NEWS (Translations): List the languagues changes since the last release.

2026-07-09  James Youngman  <james@youngman.org>

	NEWS: add a 2024 POSIX change and predict the future of -perm /000.
	* NEWS (Documentation Changes): "find -iname" is in IEEE Std
	1003.1-2024.  Improvements to the portability of the man pages to
	other nroff implementations.
	(Future Changes): we're going to remove the warning about -perm /000
	in a future release.

2026-07-09  Bernhard Voelker  <mail@bernhard-voelker.de>

	doc: propagate recent xargs exit status changes from find.1 to find.texi
	This merges the changes of recent commit 1c2c1fcc33d from the xargs
	manpage to the Texinfo manual.

	* doc/find.texi (Invoking xargs): exit status 123 also covers cases where
	the command's (normal) exit status was a value greater than 125.
	Explain that xargs might in the future use other values in the 2-233
	range to indicate other failure modes.
	Improve the hint that xargs uses execvp rather than invoking via the shell.

2026-07-09  James Youngman  <james@youngman.org>

	doc: find(1): point out -{a,c,}newer / -newerXY eqivalence.
	* find/find.1 (OPTIONS): be more explicit in pointing out
	equivalences between -newer, -anewer, -xnewer and -newerXY.
	This is already explicit in the Texinfo documentation.

2026-07-08  James Youngman  <james@youngman.org>

	doc: correct/improve EXIT STATUS section of xargs man page.
	* xargs/xargs.1 (EXIT STATUS): exit status 123 also covers cases where
	the command's (normal) exit status was a value greater than 125.
	Explain that xargs might in the future use other values in the 2-233
	range to indicate other failure modes (as the STANDARDS CONFORMANCE
	section already points out).

2026-07-08  James Youngman  <james@youngman.org>

	doc: improve formatting of xargs man page on narrow terminals.
	* xargs/xargs.1 (STANDARDS CONFORMANCE): tweak table so that it's
	readable on narrow terminals.  Previously the table would not format
	legibly on an 80-column terminal.  Now, it is legible on a 68-column
	terminal.

2026-07-08  James Youngman  <james@youngman.org>

	doc: prefer neutral double-quotes in xargs man page.
	* xargs/xargs.1: instead of a mix of single and double quotes in
	option examples, use double quotes.  However, examples in the text are
	still quoted using left and right quotes.  The distinc

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 .../findutils/{findutils_4.10.0.bb => findutils_4.11.0.bb}      | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
 rename meta/recipes-extended/findutils/{findutils_4.10.0.bb => findutils_4.11.0.bb} (90%)

diff --git a/meta/recipes-extended/findutils/findutils_4.10.0.bb b/meta/recipes-extended/findutils/findutils_4.11.0.bb
similarity index 90%
rename from meta/recipes-extended/findutils/findutils_4.10.0.bb
rename to meta/recipes-extended/findutils/findutils_4.11.0.bb
index 91bb1be170..aa5313e991 100644
--- a/meta/recipes-extended/findutils/findutils_4.10.0.bb
+++ b/meta/recipes-extended/findutils/findutils_4.11.0.bb
@@ -6,7 +6,7 @@ LIC_FILES_CHKSUM = "file://COPYING;md5=1ebbd3e34237af26da5dc08a4e440464"
 
 DEPENDS = "bison-native"
 
-SRC_URI[sha256sum] = "1387e0b67ff247d2abde998f90dfbf70c1491391a59ddfecb8ae698789f0a4f5"
+SRC_URI[sha256sum] = "bfd19cb06cc71f3352d567e90284d8cdac02ac89774bbeadf0b533b0c11432fd"
 
 PACKAGECONFIG[selinux] = "--with-selinux,--without-selinux,libselinux"
 
-- 
2.47.1

